## tasksel 3.82+kali1

=== debian/changelog ===
tasksel (3.82+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 14 Aug 2025 14:20:19 +0700

tasksel (3.80+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 25 Apr 2025 15:30:20 +0200

tasksel (3.79+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 15 Jan 2025 11:14:21 +0700

tasksel (3.77+kali2) kali-dev; urgency=medium

  * Lower the bar for RAM requirements for desktop

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 15 Nov 2024 08:59:17 +0700

tasksel (3.77+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 07 Nov 2024 10:23:25 +0700

tasksel (3.76+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 22 Oct 2024 16:49:01 +0200

tasksel (3.75+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 05 Mar 2024 16:54:55 +0100

tasksel (3.74+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 06 Feb 2024 18:28:40 +0700

tasksel (3.73+kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Drop kali-linux-core from meta-top10
  * Relevance +1 for desktop, meta, tools, tools-defense
  * Fix task ordering when relevance has two digits
  * Sort the array of tasks for more deterministic results

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 14 Jun 2023 10:24:57 +0700

tasksel (3.72+kali2) kali-dev; urgency=medium

  * Revert "Gross hack to install kali purple theming"
  * Add a meta-purple task

 -- Arnaud Rebillout <arnaudr@kali.org>  Sat, 18 Mar 2023 09:51:29 +0700

tasksel (3.72+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 15 Mar 2023 16:08:27 +0100

tasksel (3.71+kali4) kali-dev; urgency=medium

  * Add firmware task

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 09 Mar 2023 17:27:46 +0700

tasksel (3.71+kali3) kali-dev; urgency=medium

  * Hide all meta tasks when kali-purple profile is enabled
  * Gross hack to install kali purple theming

 -- Arnaud Rebillout <arnaudr@kali.org>  Sun, 19 Feb 2023 14:49:03 +0700

tasksel (3.71+kali2) kali-dev; urgency=medium

  * Add defensive tools tasks
  * Add a test to check if a simple-cdd profile is enabled
  * Hide the meta task when kali-purple is among the profiles
  * Show defensive tools tasks when kali-purple is among the profiles
  * Give a longer description to defensive tools

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 10 Feb 2023 18:41:13 +0700

tasksel (3.71+kali1) kali-dev; urgency=medium

  * Sync with Debian 

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 12 Jan 2023 15:11:13 +0100

tasksel (3.70+kali2) UNRELEASED; urgency=medium

  * Add some debug messages to know what is being installed

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 05 Dec 2022 15:44:34 +0700

tasksel (3.70+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 03 Aug 2022 17:24:44 +0200

tasksel (3.69+rebuild+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 22 Feb 2022 13:58:27 +0100

tasksel (3.68+kali2) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Add Uploaders
  * Update email address

  [ Arnaud Rebillout ]
  * Add XS-Debian-Vcs-* fields
  * Add local-package test, use it for kali-linux-everything
  * Rework meta-everything, don't mention download
  * No comma in the task description, never ever
  * Update PO files (with sed)

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 20 Jan 2022 23:41:10 +0700

tasksel (3.68+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 10 Aug 2021 10:52:11 +0200

tasksel (3.67+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 18 May 2021 16:11:14 +0200

tasksel (3.65+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 15 Apr 2021 11:17:05 +0200

tasksel (3.64+kali3) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * Add arm* to supported desktop systems

 -- Raphaël Hertzog <raphael@offensive-security.com>  Fri, 26 Mar 2021 08:38:47 +0100

tasksel (3.64+kali2) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Configure gbp import-dsc for a Debian-derived package

  [ Raphaël Hertzog ]
  * Add a long description to the "core" task. This fixes "tasksel
    --list-tasks".

 -- Raphaël Hertzog <raphael@offensive-security.com>  Tue, 23 Mar 2021 15:33:15 +0100

tasksel (3.64+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 25 Feb 2021 14:21:23 +0100

tasksel (3.63+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 26 Jan 2021 15:53:54 +0100

tasksel (3.61+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 23 Nov 2020 17:17:56 +0100

tasksel (3.59+kali4) kali-dev; urgency=medium

  * Fix the "core" task to actually install kali-linux-core.

 -- Raphaël Hertzog <raphael@offensive-security.com>  Thu, 12 Nov 2020 20:51:26 +0100

tasksel (3.59+kali3) kali-dev; urgency=medium

  * Fix the name of the Acquire::Retries option passed to apt-get

 -- Raphaël Hertzog <raphael@offensive-security.com>  Fri, 06 Nov 2020 12:00:42 +0100

tasksel (3.59+kali2) kali-dev; urgency=medium

  * Disable LXDE and mate from initial installation

 -- Raphaël Hertzog <raphael@offensive-security.com>  Tue, 14 Jul 2020 09:59:56 +0200

tasksel (3.59+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 15 May 2020 14:42:05 +0200

tasksel (3.58+kali7) kali-dev; urgency=medium

  [ Joseph O'Gorman ]


=== debian/control ===
Source: tasksel
Section: tasks
Priority: optional
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>,
Standards-Version: 4.6.1
Build-Depends:
	debhelper-compat (= 13),
	gettext,
	po-debconf
XS-Debian-Vcs-Browser: https://salsa.debian.org/installer-team/tasksel
XS-Debian-Vcs-Git: https://salsa.debian.org/installer-team/tasksel.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/tasksel
Vcs-Git: https://gitlab.com/kalilinux/packages/tasksel.git
Rules-Requires-Root: no

Package: tasksel
Section: admin
Architecture: all
Pre-Depends: debconf | cdebconf
Depends: ${misc:Depends}, liblocale-gettext-perl, apt, tasksel-data
Conflicts: base-config (<< 2.32)
Description: tool for selecting tasks for installation on Debian systems
 This package provides 'tasksel', a simple interface for users who
 want to configure their system to perform a specific task.

Package: tasksel-data
Section: admin
Architecture: all
Depends: ${misc:Depends}
Recommends: laptop-detect, tasksel
Description: official tasks used for installation of Debian systems
 This package contains data about the standard tasks available on a Debian
 system.

Package: task-desktop
Architecture: all
Description: Debian desktop environment
 This task package is used to install the Debian desktop.
Depends: ${misc:Depends},
	xorg,
	xserver-xorg-video-all,
	xserver-xorg-input-all,
	desktop-base,
Recommends:
# One of the actual desktop tasks is needed to get a full desktop environment.
# The order here is significant when installing this task manually;
# when tasksel installs this task it instead selects one of these based
# on the tasksel/desktop debconf setting.
	task-gnome-desktop | task-xfce-desktop | task-kde-desktop | task-lxde-desktop | task-gnome-flashback-desktop | task-cinnamon-desktop | task-mate-desktop | task-lxqt-desktop,
# For use by third-party apps.
	xdg-utils,
# Font with wide unicode coverage, prevents “Unicode tofu”
	fonts-symbola,
# mdns/zeroconf stuff
	avahi-daemon,
	libnss-mdns,
# desktop machines might not be up 24/7
	anacron,
# Make sure that CDs etc can be ejected. May not be installed by d-i.
	eject,
# wireless networking tools (they're more and more used on desktops too)
	iw,
# sound
	alsa-utils,
# For use by users, to elevate privileges
	sudo,
# firefox is the most popular web browser at the moment,
# although both gnome and kde offer their own too
	firefox | firefox-esr,
# print system
	cups,

Package: task-gnome-desktop
Architecture: all
Description: GNOME
 This task package is used to install the Debian desktop, featuring
 the GNOME desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
# only depend on a very minimal gnome desktop, to ensure it fits on CD1
	gnome-core,
Recommends:
# The full gnome desktop environment should be included if possible
# even if the larger gnome metapackage doesn't fit.
	gnome,

Package: task-gnome-flashback-desktop
Architecture: all
Description: GNOME Flashback
 This task package is used to install the Debian desktop, featuring
 the GNOME Flashback desktop environment, and with other packages that
 Debian users expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
# the basic components required for the session
	gnome-session-flashback,
# the display manager
	gdm3,
# the control center
	gnome-control-center,
# some core GNOME applications
	eog,
	evince,
	file-roller,
	gedit,
	gnome-calculator,
	gnome-screenshot,
	gnome-terminal,
	totem,
# network manager applet
	network-manager-applet,
Recommends:
# GNOME support in LibreOffice
	libreoffice-gnome,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# accessibility support
	orca,
# web browser
	firefox | firefox-esr,
# mail client
	evolution,
# package management
	gnome-software,
	synaptic,
# some non-core GNOME applications
	alacarte,
	gnome-disk-utility,
	gnome-tweaks,
	yelp,

Package: task-kde-desktop
Architecture: all
Description: KDE Plasma
 This task package is used to install the Debian desktop, featuring
 the KDE Plasma desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	kde-standard,
	sddm,
Recommends:
# accessibility support
	kdeaccessibility,
# orca works with kde, adding accessibility
	orca,
# temporarily moved from task-desktop due to #525077
	gimp,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# KDE support in LibreOffice
	libreoffice-plasma,
	libreoffice-kf6,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	print-manager,

Package: task-lxde-desktop
Architecture: all
Description: LXDE
 This task package is used to install the Debian desktop, featuring
 the LXDE desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	lightdm,
	lxde,
Recommends:
	lxtask,
	lxlauncher,
	xsane,
# libreoffice widgets using just gtk, and also accessibility needs the GTK frontend
	libreoffice-gtk3,
# Package management.
	synaptic,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	system-config-printer,
# orca works with lxde, adding accessibility
	orca,

Package: task-lxqt-desktop
Architecture: all
Description: LXQt
 This task package is used to install the Debian desktop, featuring
 the LXQt desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
         task-desktop,
# Mention the preferred theme before sddm, otherwise another theme will be used
         sddm-theme-debian-elarun | sddm-theme,
         sddm,
         lxqt,
Recommends: xsane,
# orca works with qt, adding accessibility
	orca,
# libreoffice widgets using just gtk and qt
	libreoffice-gtk3,
	libreoffice-qt5,
# Package management.
	synaptic,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	system-config-printer,

Package: task-xfce-desktop
Architecture: all
Description: Xfce
 This task package is used to install the Debian desktop, featuring
 the Xfce desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
# The basics of xfce, not the whole thing.
	xfce4,
	lightdm
Recommends:
# a screen saver/locker
	light-locker,
# well known xfce4 enhancements
	xfce4-goodies,
	xfce4-power-manager,
	xfce4-terminal,
# xfce text editor
	mousepad,
# xfce is really improved by using dbus
	default-dbus-session-bus | dbus-session-bus,
# support for scanners
	xsane,
# media players
	parole,
	quodlibet,
# pdf viewer
	atril,
# icon theme
	tango-icon-theme,
# network management
	network-manager-applet,
	nm-connection-editor,
# package management
	synaptic,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	system-config-printer,
# orca works with xfce, adding accessibility
	orca,
# libreoffice accessibility needs the GTK frontend
	libreoffice-gtk3,

Package: task-cinnamon-desktop
Architecture: all
Description: Cinnamon
 This task package is used to install the Debian desktop, featuring
 the Cinnamon desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	cinnamon-desktop-environment

Package: task-mate-desktop
Architecture: all
Description: MATE
 This task package is used to install the Debian desktop, featuring
 the MATE desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	mate-desktop-environment,
	lightdm,
Recommends:
# temporarily moved from task-desktop due to #525077
	gimp,
# Package management.
	synaptic,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make e.g. sftp:// work in caja
	libreoffice-gnome,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# we need a working network setup at least
	network-manager-gnome,
# orca works with mate, adding accessibility
	orca,
# libreoffice accessibility needs the GTK frontend
	libreoffice-gtk3,

Package: task-laptop
Architecture: all
Description: laptop
 This task package installs software useful for a laptop.
Depends: ${misc:Depends},
	anacron,
Recommends:
	bluetooth,
	powertop,
# wireless networking tools
	iw,
	wireless-tools,
	wpasupplicant,

Package: task-web-server
Architecture: all
Description: web server
 This task selects packages useful for a general purpose web server
 system.
Depends: ${misc:Depends},
	apache2,
Recommends:
	apache2-doc,
	analog,

Package: task-ssh-server
Architecture: all
Description: SSH server
 This task sets up your system to be remotely accessed through SSH
 connections.
Depends: ${misc:Depends},
	openssh-server,
Recommends:
	openssh-client,

Package: task-albanian-desktop
Architecture: all
Description: Albanian desktop
 This task localises the desktop in Albanian.
Depends: ${misc:Depends},
Recommends:
	firefox-esr-l10n-sq | firefox-l10n-sq,
	myspell-sq,

Package: task-amharic
Architecture: all
Description: Amharic environment
 This task installs programs, data files, fonts, and
 documentation that makes it easier for Amharic speakers
 to use Debian.
Depends: ${misc:Depends},
Recommends:
	aspell-am

Package: task-amharic-desktop
Architecture: all
Description: Amharic desktop
 This task localises the desktop in Amharic.
Depends: ${misc:Depends}
Recommends:
	fonts-sil-abyssinica,
	fcitx,
	fcitx-table-amharic,
	fcitx-frontend-gtk2,
	fcitx-frontend-gtk3,
	fcitx-config-gtk

Package: task-amharic-gnome-desktop
Architecture: all
Description: Amharic GNOME desktop
 This task localises the GNOME desktop in Amharic.
Depends: ${misc:Depends}
Recommends:
	ibus-m17n,
# ibus doesn't have a default config for all languages, so force creation
	gnome-initial-setup

Package: task-amharic-kde-desktop
Architecture: all
Description: Amharic KDE Plasma desktop
 This task localises the KDE Plasma desktop in Amharic.
Depends: ${misc:Depends},
Recommends:
	fcitx-frontend-qt5,
	kde-config-fcitx

Package: task-arabic
Architecture: all
Description: Arabic environment
 This task installs programs, data files, fonts, and
 documentation that makes it easier for Arabic speakers
 to use Debian.
Depends: ${misc:Depends},
Recommends:
	fonts-arabeyes,
	aspell-ar,
	aspell-ar-large,
	itools

Package: task-arabic-desktop

## tasksel 3.83

=== Makefile ===
DOMAIN=debian-tasks
TASKDESC=$(DOMAIN).desc
TASKDIR=/usr/share/tasksel
DESCDIR=tasks
DESCPO=$(DESCDIR)/po
VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)' | cut -d - -f 1)
LANGS=ar bg bn bs ca cs cy da de dz el eo es et eu fa fi fr gl gu he hi hr hu hy id it ja km ko lt lv mg mk nb ne nl nn pa pl pt_BR pt ro ru sk sl sq sv ta te th tl tr uk vi wo zh_CN zh_TW
LANGS_DESC=ar bg bn bs ca cs cy da de dz el eo es et et eu fi fr gl gu he hi hr hu id it ja km ko lt lv mg mk nb ne nl nn pa pl pt_BR pt ro ru sk sl sq sv te th tl tr uk vi wo zh_CN zh_TW
LOCALEDIR=$(DESTDIR)/usr/share/locale

all: $(TASKDESC) $(DESCPO)/build_stamp po/build_stamp

$(TASKDESC): makedesc.pl $(DESCDIR)/[a-z]??*
	./doincludes.pl $(DESCDIR)
	./makedesc.pl $(DESCDIR) $(TASKDESC)

%.o: %.c
	$(COMPILE) $<

po/build_stamp:
	$(MAKE) -C po LANGS="$(LANGS)"

updatepo:
	$(MAKE) -C po update LANGS="$(LANGS)"

$(DESCPO)/build_stamp:
	$(MAKE) -C $(DESCPO) LANGS="$(LANGS_DESC)"

updatetaskspo:
	$(MAKE) -C $(DESCPO) update LANGS="$(LANGS_DESC)"

install:
	install -d $(DESTDIR)/usr/bin \
		$(DESTDIR)/usr/lib/tasksel/tests \
		$(DESTDIR)/usr/lib/tasksel/packages \
		$(DESTDIR)/usr/share/man/man8
	install -m 755 tasksel.pl $(DESTDIR)/usr/bin/tasksel
	install -m 755 tasksel-debconf $(DESTDIR)/usr/lib/tasksel/
	install -m 644 default_desktop $(DESTDIR)/usr/lib/tasksel/
	install -m 755 tests/new-install $(DESTDIR)/usr/lib/tasksel/tests/
	install -m 755 tests/debconf $(DESTDIR)/usr/lib/tasksel/tests/
	install -m 755 tests/lang $(DESTDIR)/usr/lib/tasksel/tests/
	install -m 755 packages/list $(DESTDIR)/usr/lib/tasksel/packages/
	pod2man --section=8 --center "Debian specific manpage" --release $(VERSION) tasksel.pod | gzip -9c > $(DESTDIR)/usr/share/man/man8/tasksel.8.gz
	for lang in $(LANGS); do \
		[ ! -d $(LOCALEDIR)/$$lang/LC_MESSAGES/ ] && mkdir -p $(LOCALEDIR)/$$lang/LC_MESSAGES/; \
		install -m 644 po/$$lang.mo $(LOCALEDIR)/$$lang/LC_MESSAGES/tasksel.mo; \
	done

install-data:
	install -d $(DESTDIR)$(TASKDIR)/descs \
		$(DESTDIR)/usr/lib/tasksel/tests
	install -m 0644 $(TASKDESC) $(DESTDIR)$(TASKDIR)/descs
	for test in tests/*; do \
		[ "$$test" = "tests/new-install" ] && continue; \
		[ "$$test" = "tests/debconf" ] && continue; \
		[ "$$test" = "tests/lang" ] && continue; \
		install -m 755 $$test $(DESTDIR)/usr/lib/tasksel/tests/; \
	done
	for package in packages/*; do \
		[ "$$package" = "packages/list" ] && continue; \
		install -m 755 $$package $(DESTDIR)/usr/lib/tasksel/packages/; \
	done
	for lang in $(LANGS_DESC); do \
		[ ! -d $(LOCALEDIR)/$$lang/LC_MESSAGES/ ] && mkdir -p $(LOCALEDIR)/$$lang/LC_MESSAGES/; \
		install -m 644 $(DESCDIR)/po/$$lang.mo $(LOCALEDIR)/$$lang/LC_MESSAGES/$(DOMAIN).mo; \
	done

clean:
	rm -f $(TASKDESC) *~
	$(MAKE) -C po clean
	$(MAKE) -C $(DESCPO) clean

=== debian/changelog ===
tasksel (3.83) unstable; urgency=medium

  * Team upload.

  [ Hideki Yamane ]
  * task-xfce-desktop: Fix screensaver to work as user expected, use
    xfce4-screensaver now (Closes: #1034607, #1082003, #1113849)

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 12 Sep 2025 21:52:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,15 @@
 Source: tasksel
 Section: tasks
 Priority: optional
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Sophie Brun <sophie@offensive-security.com>,
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Uploaders: nicoo <nicoo@debian.org>
 Standards-Version: 4.6.1
 Build-Depends:
 	debhelper-compat (= 13),
 	gettext,
 	po-debconf
-XS-Debian-Vcs-Browser: https://salsa.debian.org/installer-team/tasksel
-XS-Debian-Vcs-Git: https://salsa.debian.org/installer-team/tasksel.git
-Vcs-Browser: https://gitlab.com/kalilinux/packages/tasksel
-Vcs-Git: https://gitlab.com/kalilinux/packages/tasksel.git
+Vcs-Browser: https://salsa.debian.org/installer-team/tasksel
+Vcs-Git: https://salsa.debian.org/installer-team/tasksel.git
 Rules-Requires-Root: no
 
 Package: tasksel
@@ -260,7 +257,7 @@
 	lightdm
 Recommends:
 # a screen saver/locker
-	light-locker,
+	xfce4-screensaver,
 # well known xfce4 enhancements
 	xfce4-goodies,
 	xfce4-power-manager,
@@ -448,3 +445,11 @@
 	itools
 
 Package: task-arabic-desktop
+Architecture: all
+Description: Arabic desktop
+ This task localises the desktop in Arabic.
+Depends: ${misc:Depends},
+Recommends:
+	fonts-kacst,
+	fonts-farsiweb,
+	firefox-esr-l10n-ar | firefox-l10n-ar,

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --no-parallel

override_dh_auto_install:
	$(MAKE) install DESTDIR=`pwd`/debian/tasksel
	$(MAKE) install-data DESTDIR=`pwd`/debian/tasksel-data

override_dh_installdocs:
	dh_installdocs --link-doc=tasksel

override_dh_perl:
	dh_perl -d

override_dh_clean:
	dh_clean
	if grep '^Description: .*,' debian/control; then \
		echo "E: found tasks that won't be installable (see #1004090, #1106127)"; \
		exit 1; \
	fi

## tasksel 3.83devuan1

=== debian/changelog ===
tasksel (3.83devuan1) unstable; urgency=medium

  * Merge tag 3.83.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 13 Sep 2025 17:08:06 +0100

## tasksel 3.83devuan2

=== debian/changelog ===
tasksel (3.83devuan2) unstable; urgency=medium

  * d/control:
    - remove uninstallable gnome tasks: gdm3 now depends
    on libnss-systemd, so is indirectly banned.
    - add Recommends: xfce-polkit to task-xfce-desktop.
    - add devuan-at-spi2-xsession-start-config to
    task-speech-accessibility.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 12 Nov 2025 21:38:42 +0000

=== debian/control ===
Source: tasksel
Section: tasks
Priority: optional
Maintainer: Devuan Dev Team <devuan-dev@lists.dyne.org>
Uploaders: Daniel Reurich <daniel@centurion.net.nz>,
	   Mark Hindley <mark@hindley.org.uk>
Standards-Version: 4.6.1
Build-Depends:
	debhelper-compat (= 13),
	gettext,
	po-debconf
Vcs-Git: https://git.devuan.org/devuan/tasksel.git
Vcs-Browser: https://git.devuan.org/devuan/tasksel
Rules-Requires-Root: no
Origin: Devuan

Package: tasksel
Section: admin
Architecture: all
Pre-Depends: debconf | cdebconf
Depends: ${misc:Depends}, liblocale-gettext-perl, apt, tasksel-data
Conflicts: base-config (<< 2.32)
Description: tool for selecting tasks for installation on Devuan systems
 This package provides 'tasksel', a simple interface for users who
 want to configure their system to perform a specific task.

Package: tasksel-data
Section: admin
Architecture: all
Depends: ${misc:Depends}
Recommends: laptop-detect, tasksel
Description: official tasks used for installation of Devuan systems
 This package contains data about the standard tasks available on a Devuan
 system.

Package: task-speech-accessibility
Architecture: all
Depends: ${misc:Depends},
# An accessible display manager
	 lightdm,
	 devuan-speech-dispatcher-config-override,
	 devuan-at-spi2-xsession-start-config
Description: Speech accessibility configuration
 This task configures the system for speech synthesis using ALSA which supports
 both graphical and console interfaces.

Package: task-desktop
Architecture: all
Description: Devuan desktop environment
 This task package is used to install the Devuan desktop.
Depends: ${misc:Depends},
	xorg,
	xserver-xorg-video-all,
	xserver-xorg-input-all,
	desktop-base,
Recommends:
# One of the actual desktop tasks is needed to get a full desktop environment.
# The order here is significant when installing this task manually;
# when tasksel installs this task it instead selects one of these based
# on the tasksel/desktop debconf setting.
#	 task-xfce-desktop | task-kde-desktop | task-lxde-desktop | task-cinnamon-desktop | task-mate-desktop | task-gnome-desktop ,
##	 task-xfce-desktop | task-cinnamon-desktop | task-kde-desktop | task-lxde-desktop | task-lxqt-desktop | task-mate-desktop ,
	 task-xfce-desktop | task-cinnamon-desktop | task-lxde-desktop | task-kde-desktop | task-lxqt-desktop | task-mate-desktop,
#	 task-xfce-desktop | task-lxde-desktop | task-mate-desktop ,
# For use by third-party apps.
	xdg-utils,
# Font with wide unicode coverage, prevents “Unicode tofu”
	fonts-symbola,
# mdns/zeroconf stuff
	avahi-daemon,
	libnss-mdns,
# desktop machines might not be up 24/7
	anacron,
# Make sure that CDs etc can be ejected. May not be installed by d-i.
	eject,
# wireless networking tools (they're more and more used on desktops too)
	iw,
# sound
	alsa-utils,
# For use by users, to elevate privileges
	sudo,
# firefox is the most popular web browser at the moment,
# although both gnome and kde offer their own too
	firefox | firefox-esr,
# print system
	cups,

Package: task-kde-desktop
Architecture: all
Description: KDE
 This task package is used to install the Devuan desktop, featuring
 the KDE Plasma desktop environment, and with other packages that Devuan users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	kde-standard,
	lightdm | slim | sddm,
Recommends:
# accessibility support
	kdeaccessibility,
# orca works with kde, adding accessibility
	orca,
# temporarily moved from task-desktop due to #525077
	gimp,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# KDE support in LibreOffice
	libreoffice-plasma,
	libreoffice-kf6,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	print-manager,
# make time setting menu item work
       time-daemon | ntpsec-ntpdate

Package: task-lxde-desktop
Architecture: all
Description: LXDE
 This task package is used to install the Devuan desktop, featuring
 the LXDE desktop environment, and with other packages that Devuan users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	lightdm | slim,
	lxde,
Recommends:
	lxtask,
	lxlauncher,
	xsane,
# libreoffice widgets using just gtk, and also accessibility needs the GTK frontend
	libreoffice-gtk3,
# Package management.
	synaptic,
# Devuan templates and mirror list for synaptic
	python-apt-common-devuan,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	system-config-printer,
# orca works with lxde, adding accessibility
	orca,
# libreoffice accessibility needs the GTK frontend
	libreoffice-gtk2,

Package: task-lxqt-desktop
Architecture: all
Description: LXQt
 This task package is used to install the Devuan desktop, featuring
 the LXQt desktop environment, and with other packages that Devuan users
 expect to have available on the desktop.
Depends: ${misc:Depends},
         task-desktop,
# Mention the preferred theme before sddm, otherwise another theme will be used
         sddm-theme-maui | sddm-theme,
         lightdm | slim | sddm,
         lxqt,
Recommends: xsane,
# orca works with qt, adding accessibility
	orca,
# libreoffice widgets using just gtk and qt
	libreoffice-gtk3,
	libreoffice-qt5,
# Package management.
	synaptic,
# Devuan templates and mirror list for synaptic
	python-apt-common-devuan,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	system-config-printer,

Package: task-xfce-desktop
Architecture: all
Description: Xfce
 This task package is used to install the Devuan desktop, featuring
 the Xfce desktop environment, and with other packages that Devuan users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
# The basics of xfce, not the whole thing.
	xfce4,
	slim | lightdm,
Recommends:
# a screen saver/locker
## Actually don't recommend one here. xfce4 depends on xfce4-session and that already recommends screensaver(s).
# well known xfce4 enhancements
	xfce4-goodies,
	xfce4-power-manager,
	xfce4-terminal,
# xfce text editor
	mousepad,
# xfce is really improved by using dbus
	default-dbus-session-bus | dbus-session-bus,
# polkit agent
  	 xfce-polkit | polkit-1-auth-agent,
# support for scanners
	xsane,
# media players
	parole,
	quodlibet,
# pdf viewer
	atril,
# icon theme
	tango-icon-theme,
# network management
	network-manager-applet | connman-gtk | cmst,
# package management
	synaptic,
# Devuan templates and mirror list for synaptic
	python-apt-common-devuan,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	system-config-printer,
# orca works with xfce, adding accessibility
	orca,
# libreoffice accessibility needs the GTK frontend
	libreoffice-gtk3,

Package: task-cinnamon-desktop
Architecture: all
Description: Cinnamon
 This task package is used to install the Devuan desktop, featuring
 the Cinnamon desktop environment, and with other packages that Devuan users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	cinnamon-desktop-environment,
	lightdm | slim,

Package: task-mate-desktop
Architecture: all
Description: MATE
 This task package is used to install the Devuan desktop, featuring
 the MATE desktop environment, and with other packages that Devuan users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	mate-desktop-environment,
	lightdm | slim,
Recommends:
# temporarily moved from task-desktop due to #525077
	gimp,
# Package management.
	synaptic,
# Devuan templates and mirror list for synaptic
	python-apt-common-devuan,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make e.g. sftp:// work in caja
	libreoffice-gnome,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# we need a working network setup at least
	network-manager-applet | connman-gtk | cmst,
# orca works with mate, adding accessability
	orca,
# libreoffice accessibility needs the GTK frontend
	libreoffice-gtk3,

Package: task-laptop
Architecture: all
Description: laptop
 This task package installs software useful for a laptop.
Depends: ${misc:Depends},
	anacron,
Recommends:
	bluetooth,
	powertop,
# wireless networking tools
	iw,
	wireless-tools,
	wpasupplicant,

Package: task-web-server
Architecture: all
Description: web server
 This task selects packages useful for a general purpose web server
 system.
Depends: ${misc:Depends},
	apache2,
Recommends:
	apache2-doc,
	analog,

Package: task-ssh-server
Architecture: all
Description: SSH server
 This task sets up your system to be remotely accessed through SSH
 connections.
Depends: ${misc:Depends},
	openssh-server,
Recommends:
	openssh-client,

Package: task-console-productivity
Architecture: all
Description: Console productivity
 This task installs the console-based tools available in Devuan
 minimal live. It includes a variety of utilities for system
 administration, clients for Internet protocols, programs for
 personal productivity and multimedia, games, and specofic tools
 for blind users.
Depends: ${misc:Depends},
Recommends:
        dialog,
        zsh,
## admin tools
        entr,
        gddrescue,
        gdisk,
        htop,
        iftop,
        iotop,
        iw,
        mtr-tiny,
        multitail,
        ncdu,
        parted ,
        pciutils,
        psmisc,
        sudo,
        time,
        wavemon ,
        wireless-tools,
        wpasupplicant,
## editors
        ed,
        zile,
## networking
        bind9-host,
        bittornado,
        curl,
        dnsutils,
        edbrowse,
        fetchmail,
        ftp,
        geoip-bin,
        irssi,
        lftp,
        links2,
        lrzsz,
        mcabber,
        minicom,
        mosh,
        msmtp,
        mutt,
        netcat,
        net-tools,
        nfacct,
        nrss,
        openssh-client,
        openssh-server,
        procmail,
        rsync,
        telnet,
        tin,
        traceroute,
        w3m,
        wget,
        whois,
## productivity
        abook,
        apcalc,
        aspell,
        aspell-en,
        calcurse,
        clex,
        dvtm,
        fbi,
        fbterm,
        ghostscript,
        gnupg,
        gnupg2,
        gnupg-agent,
        mc,
        parallel,
        poppler-utils,
        rpl,
        rename,
        sc,
        screen,
        taskwarrior,
        tmux,
## games
        bastet,
        bombardier,
        bsdgames,
        cavezofphear,
        crawl,
        curseofwar,
        empire,
        freesweep,
        gnuchess,
        greed,
        matanza,
        moria,
        nethack-console,
        ninvaders,
        omega-rpg,
        pacman4console,
        pente,
        sudoku,
## a11y
        beep,
        brltty,
        espeak,
        espeakup,
        yasr,
## multimedia
        alsa-utils,
        caca-utils,
        hasciicam,
        imagemagick,
